Bug 822940 - Setup wizard should have better text and wrap more cleanly
Setup wizard should have better text and wrap more cleanly
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: John (J5) Palmieri
libra bugs
: Triaged
Depends On:
  Show dependency treegraph
Reported: 2012-05-18 11:10 EDT by Clayton Coleman
Modified: 2015-05-14 21:54 EDT (History)
4 users (show)

See Also:
Fixed In Version: rhc-0.93.11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-06-08 13:58:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Clayton Coleman 2012-05-18 11:10:38 EDT
In my TTY shell the text of the interactive wizard is wrapped poorly.  Let highline do the wrapping and formatting - all of the <EOF steps should either be chomped or formatted better.

The "Starting interactive setup" title should include "OpenShift client tools" or the same name as is defined in rhc/cli for the program name.

We are "OpenShift", not "OpenShift Express"

The Server URL should be formatted better.  Recommend you say "To connect to https://openshift.redhat.com enter your OpenShift login (email or Red Hat login id)" (not username, should be same wording as used on our login page).  Username should be on a separate line. "Login: "

Each step should be separated by an empty line (Entering credentials, key uploads, etc).  First line should be what we're doing, other lines can be status.  Eventually we want to have better formatting here.

  "Your public ssh key needs to be uloaded to the server.  Would you like us to upload it for you? (yes/no) yes

  Last step, we need to upload your public key to remote servers"

The "Last step" makes no sense here.

"Name your key" is not enough info for the user.  "Provide a name for this key".  We should provide a default that is the current machine name + current user name (with any disallowed characters removed).

Need more success message at the end.  We should check whether the user has a domain and if they don't, prompt them to create one.  If the user has a domain, print it out.  If the user has no apps, print out some text about creating apps.  If they have apps, list them.  Don't display the help - instead show "For more information about the commands provided by the client tools, run 'rhc --help'"
Comment 1 John (J5) Palmieri 2012-05-25 15:24:40 EDT
All issues fixed
Comment 2 Rony Gong 2012-05-28 21:33:05 EDT
[root@localhost ~]# rhc domain show

Starting Interactive Setup for OpenShift's command line interface

It looks like you've not used OpenShift on this machine before.  We'll help get you setup with just a couple of questions. You can skip this in the future by copying your config's around:


To connect to openshift.redhat.com enter your OpenShift login (email or Red Hat login id): gongqiang_85@126.com
Password: ******

Created local config file: /root/.openshift/express.conf
express.conf contains user configuration and can be transferred across clients.

No SSH Key has been found.  We're generating one for you.

    Created: /root/.ssh/id_rsa.pub

Your public ssh key needs to be uploaded to the server.  Would you like us to upload it for you? (yes/no) yes

We need to upload your public key to remote servers so it can be used.  First you need to name it.  For example "liliWork" or "laptop".  You can overwrite an existing key by naming it or pick a new name.

Current Keys:
    default - d9:37:07:04:17:18:19:54:a5:ab:d1:91:9d:37:7b:1f
    key1 - 99:96:e3:46:c0:6d:30:55:5b:9a:10:18:2b:1f:ad:02
    2abeceaf - 2a:be:ce:af:c5:8b:ab:cc:ed:4b:c1:f3:b7:41:6b:aa
    fa9ad06f - fa:9a:d0:6f:af:43:7f:38:de:7e:fd:dc:b1:f4:b7:50

Provide a name for this key: |8a020d1a| 

Sending new key 8a020d1a .. Success

We will now check to see if you have the necessary client tools installed.

Checking for git ... needs to be installed

Would you like to install git with the system installer? (yes/no) yes

You may safely continue while the installer is running or you can wait until it has finished.  Press any key to continue:

Checking for your namespace ... found namespace:

Checking for applications ... found
    * hellorony - http://hellorony-helloeveryboday.rhcloud.com/
    * qjenkins - http://qjenkins-helloeveryboday.rhcloud.com/
    * ronygong85 - http://ronygong85-helloeveryboday.rhcloud.com/

Thank you for setting up your system.  You can rerun this at any time by calling 'rhc setup'. We will now execute your original command (rhc domain show)

Password: ******

User Info
Namespace: helloeveryboday
  RHLogin: gongqiang_85@126.com

Application Info
    Framework: jenkins-1.4
     Creation: 2012-05-22T09:01:04-04:00
         UUID: 9abeb97e849444c893a654a38f59b067
      Git URL: ssh://9abeb97e849444c893a654a38f59b067@qjenkins-helloeveryboday.rhcloud.com/~/git/qjenkins.git/
   Public URL: http://qjenkins-helloeveryboday.rhcloud.com/


    Framework: ruby-1.8
     Creation: 2012-05-09T05:01:22-04:00
         UUID: 2fcbae5e5114438593762eb1fef3ed08
      Git URL: ssh://2fcbae5e5114438593762eb1fef3ed08@hellorony-helloeveryboday.rhcloud.com/~/git/hellorony.git/
   Public URL: http://hellorony-helloeveryboday.rhcloud.com/


    Framework: jbossas-7
     Creation: 2012-05-08T21:05:12-04:00
         UUID: 1652c5aa1c034d9ab9f12638ee8fd23e
      Git URL: ssh://1652c5aa1c034d9ab9f12638ee8fd23e@ronygong85-helloeveryboday.rhcloud.com/~/git/ronygong85.git/
   Public URL: http://ronygong85-helloeveryboday.rhcloud.com/


verified on rhc-0.93.11-1.el6_2.noarch

Note You need to log in before you can comment on or make changes to this bug.